/*node 3, PU 2, written in c, as N007.C using absolute numbering.*/
/*Use SC86 compiler:   C:> SC86 N007.C */
/*...generates N007.MAC, which is MASM-compatible assembler code.*/
/*...gets INCLUDEd into TERS8610.ASM*/

 extern int msgterm1;    /* static data -- defined in dataPUx segment*/
			 /* -- label visible to all nodes.*/
 extern int z;		 /*  "  */

main()
{
 int y;                 /*dynamic data. beware, cannot use in inline asm*/
			/*as SC86 compiles them to direct reg/stack refs*/

 z=msgterm1;	       /*example C code*/
 if(z==1) y=0;	       /*  "           */

	/*all your C code in here*/

 #asm
   POSTMESSAGE THISPU,4,1,SYNC,_z    ;post to pu1,n4,t1,sync,value in z.
   NORMALEXIT			       ;...note _z must be static variable
 #endasm
}
