#include <reg51.h>
#include "creem02.h"
extern uchar contexts[NUMCNTXTS];
extern uchar context;
void post_msg(bit fasnc, uchar inputs, uchar term, bit fzone, uchar tsk, uint data16);
uint get_msg(uchar term);
extern bit fGOT; /*global flag set by get_msg()*/

/* although task #0 is in the tasks[] table, never post messages
   to it. It is supposed to be called by CREEM for error
   handling. contexts[context]=task#. if task#=0, the context is
   taken to be inactive. therefore, task #0 can never run */
void tsk0(void) { EXIT_TASK;}

/* CREEM executes this guy first. posts msg to itself,
   then exits, so will keep on re-executing */
void tsk1(void) { 
  uint xx;
  xx=get_msg(1);			/*get msg addressed to term# 1, this task*/
  ++xx;
  post_msg(0,1,1,0,1,xx);     /*post a sync msg to task #1, term #1*/
  EXIT_TASK;
}
void tsk2(void) { EXIT_TASK;}
void tsk3(void) { EXIT_TASK;}
void tsk4(void) { EXIT_TASK;}
void tsk5(void) { EXIT_TASK;}
void tsk6(void) { EXIT_TASK;}
void tsk7(void) { EXIT_TASK;} 
