/*header file for CREEM 02 project*/

#define FALSE 0
#define TRUE  1
typedef unsigned int uint;
#define THEEND return
typedef int DTYPE;
typedef unsigned char uchar;
#define TIMESLICE 4
#define NUMCNTXTS 4	/* max. # of concurrent threads*/
#define NUMMSGS 6	/* max. # messages allowed in message buffer*/

extern void tsk0(void);
extern void tsk1(void);
extern void tsk2(void);
extern void tsk3(void);
extern void tsk4(void);
extern void tsk5(void);
extern void tsk6(void);

/* exit from a task 
   there must not be a return from a task! */
#define EXIT_TASK contexts[context] = 0; while(1) ; return

#define WAIT while(1) ;

#define SIZESTACK 48
#define SIZEREGS 10
struct STKFRAME {
 void (*ret_addr)(void);
 uchar regs[SIZEREGS];
 uchar user[SIZESTACK - SIZEREGS - 2];
};

struct MSGFRAME {
 uchar header1;
 uchar header2;
 uint msgdata;
};
